OpenVDB: NodeUnion< ValueT, ChildT, Enable > Class Template Reference

OpenVDB 12.0.1 |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NodeUnion< ValueT, ChildT, Enable > Class Template Reference

Default implementation of a NodeUnion that stores the child pointer and the value separately (i.e., not in a union). Types which select this specialization usually do not conform to the requirements of a union member, that is that the type ValueT is not trivially copyable. This implementation is thus NOT used for POD, math::Vec, math::Mat, math::Quat or math::Coord types, but is used (for example) with std::string. More...

`#include <openvdb/tree/NodeUnion.h>`

## Public Member Functions
| NodeUnion ()
ChildT * | getChild () const
void | setChild (ChildT *child)
const ValueT & | getValue () const
ValueT & | getValue ()
void | setValue (const ValueT &val)

## Detailed Description

template<typename ValueT, typename ChildT, typename Enable = void>
class openvdb::v12_0::tree::NodeUnion< ValueT, ChildT, Enable >

Default implementation of a NodeUnion that stores the child pointer and the value separately (i.e., not in a union). Types which select this specialization usually do not conform to the requirements of a union member, that is that the type ValueT is not trivially copyable. This implementation is thus NOT used for POD, math::Vec, math::Mat, math::Quat or math::Coord types, but is used (for example) with std::string.

## Constructor & Destructor Documentation

## ◆ NodeUnion()

template<typename ValueT, typename ChildT, typename Enable = void>

NodeUnion | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getChild()

template<typename ValueT, typename ChildT, typename Enable = void>

ChildT * getChild | ( |  | ) | const
| inline

## ◆ getValue() [1/2]

template<typename ValueT, typename ChildT, typename Enable = void>

ValueT & getValue | ( |  | ) |
| inline

## ◆ getValue() [2/2]

template<typename ValueT, typename ChildT, typename Enable = void>

const ValueT & getValue | ( |  | ) | const
| inline

## ◆ setChild()

template<typename ValueT, typename ChildT, typename Enable = void>

void setChild | ( | ChildT * | child | ) |
| inline

## ◆ setValue()

template<typename ValueT, typename ChildT, typename Enable = void>

void setValue | ( | const ValueT & | val | ) |
| inline